# Method: licenseAssignments.update

- [HTTP request](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments/update#try-it)

Reassign a user's product SKU with a different SKU in the same product.

### HTTP request

`PUT https://licensing.googleapis.com/apps/licensing/v1/product/{productId}/sku/{skuId}/user/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `productId` | `string` A product's unique identifier. For more information about products in this version of the API, see [Products and SKUs](https://developers.google.com/workspace/admin/licensing/v1/how-tos/products). |
| `skuId` | `string` A product SKU's unique identifier. For more information about available SKUs in this version of the API, see [Products and SKUs](https://developers.google.com/workspace/admin/licensing/v1/how-tos/products). |
| `userId` | `string` The user's current primary email address. If the user's email address changes, use the new email address in your API requests. Since a `userId` is subject to change, do not use a `userId` value as a key for persistent data. This key could break if the current user's email address changes. If the `userId` is suspended, the license status changes. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments#LicenseAssignment`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/licensing/reference/rest/v1/licenseAssignments#LicenseAssignment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.licensing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).